﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MyClock
{
    public partial class ChangeConf : Form
    {
        public ChangeConf()
        {
            InitializeComponent();
        }

        private void ChangeConf_Load(object sender, EventArgs e)
        {
            bool err = false;
            try
            {
                // MyClock.exe のパスを取得し、Alarm.exe のフルパスを得る
                string path = System.IO.Path.GetDirectoryName(
                    Application.ExecutablePath);
                string fullPath = path + "\\Alarm.exe";
                // Alarm.exe の存在を確認する
                err = !System.IO.File.Exists(fullPath);
                // Alarm.exe を削除する
                System.IO.File.Delete(@fullPath);
            }
            catch(System.IO.IOException)
            {
                err = true;
            }
            catch(System.UnauthorizedAccessException)
            {
                err = true;
            }

            if (!err)
            {
                string msg = "本バージョンから Alarm.exe ファイルが不要になったので、\r\n";
                msg += "以前の Alarm.exe を削除しました。";
                textBox_desc.Text = msg;
            }
            else
            {
                Dispose();
            }
        }
    }
}
